org.jfree.report.modules.gui.swing.preview.actions

## Class GoToPreviousPageActionPlugin

- java.lang.Object
- - org.jfree.report.modules.gui.swing.common.AbstractActionPlugin
  - - org.jfree.report.modules.gui.swing.preview.actions.GoToPreviousPageActionPlugin

- All Implemented Interfaces:
    ActionPlugin, ControlActionPlugin

      public class GoToPreviousPageActionPlugin
      extends AbstractActionPlugin
      implements ControlActionPlugin

  Creation-Date: 16.11.2006, 16:34:55
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from class org.jfree.report.modules.gui.swing.common.AbstractActionPlugin

      `BASE_RESOURCE_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoToPreviousPageActionPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `configure(PreviewPane reportPane)`
    `javax.swing.KeyStroke` | `getAcceleratorKey()` Returns the accelerator key for the export action.
    `protected java.lang.String` | `getConfigurationPrefix()`
    `java.lang.String` | `getDisplayName()` Returns the display name for the export action.
    `javax.swing.Icon` | `getLargeIcon()` Returns the large icon for the export action.
    `java.lang.Integer` | `getMnemonicKey()` Returns the mnemonic key code.
    `java.lang.String` | `getShortDescription()` Returns the short description for the export action.
    `javax.swing.Icon` | `getSmallIcon()` Returns the small icon for the export action.
    `boolean` | `initialize(SwingGuiContext context)`

    - ### Methods inherited from class org.jfree.report.modules.gui.swing.common.AbstractActionPlugin

      `addPropertyChangeListener, addPropertyChangeListener, createProgressDialog, getConfig, getContext, getFailureDescription, getIconTheme, getMenuOrder, getPropertyChangeSupport, getRole, getRolePreference, getStatusText, getToolbarOrder, isAddToMenu, isAddToToolbar, isEnabled, isSeparated, removePropertyChangeListener, setEnabled, setStatusText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.report.modules.gui.swing.common.ActionPlugin

      `addPropertyChangeListener, addPropertyChangeListener, getMenuOrder, getRole, getRolePreference, getToolbarOrder, isAddToMenu, isAddToToolbar, isSeparated, removePropertyChangeListener`

- - ### Constructor Detail

    - #### GoToPreviousPageActionPlugin

          public GoToPreviousPageActionPlugin()

  - ### Method Detail

    - #### initialize

          public boolean initialize(SwingGuiContext context)

      Specified by:
        `initialize` in interface `ActionPlugin`
      Overrides:
        `initialize` in class `AbstractActionPlugin`

    - #### getConfigurationPrefix

          protected java.lang.String getConfigurationPrefix()

      Specified by:
        `getConfigurationPrefix` in class `AbstractActionPlugin`

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Returns the display name for the export action.
      Specified by:
        `getDisplayName` in interface `ActionPlugin`
      Returns:
        The display name.

    - #### getShortDescription

          public java.lang.String getShortDescription()

      Returns the short description for the export action.
      Specified by:
        `getShortDescription` in interface `ActionPlugin`
      Returns:
        The short description.

    - #### getSmallIcon

          public javax.swing.Icon getSmallIcon()

      Returns the small icon for the export action.
      Specified by:
        `getSmallIcon` in interface `ActionPlugin`
      Returns:
        The icon.

    - #### getLargeIcon

          public javax.swing.Icon getLargeIcon()

      Returns the large icon for the export action.
      Specified by:
        `getLargeIcon` in interface `ActionPlugin`
      Returns:
        The icon.

    - #### getAcceleratorKey

          public javax.swing.KeyStroke getAcceleratorKey()

      Returns the accelerator key for the export action.
      Specified by:
        `getAcceleratorKey` in interface `ActionPlugin`
      Returns:
        The accelerator key.

    - #### getMnemonicKey

          public java.lang.Integer getMnemonicKey()

      Returns the mnemonic key code.
      Specified by:
        `getMnemonicKey` in interface `ActionPlugin`
      Returns:
        The code.

    - #### configure

          public boolean configure(PreviewPane reportPane)

      Specified by:
        `configure` in interface `ControlActionPlugin`